Index: NEMO/branches/2020/dev_12905_xios_restart/src/ABL/abl.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/ABL/abl.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/ABL/abl.F90	(revision 13727)
@@ -29,5 +29,6 @@
    REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:,:,:)     ::   avm_abl      !: turbulent viscosity   [m2/s]
    REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:,:,:)     ::   avt_abl      !: turbulent diffusivity [m2/s]
-   REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:,:,:)     ::   mxl_abl      !: mixing length         [m]
+   REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:,:,:)     ::   mxld_abl     !: dissipative mixing length    [m]
+   REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:,:,:)     ::   mxlm_abl     !: master mixing length         [m]
    REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:,:,:,:)   ::   tke_abl      !: turbulent kinetic energy [m2/s2]
    REAL(wp), PUBLIC, ALLOCATABLE, DIMENSION(:,:)       ::   fft_abl      !: Coriolis parameter    [1/s]
@@ -55,16 +56,18 @@
       !!----------------------------------------------------------------------
       !
-      ALLOCATE( u_abl  (1:jpi,1:jpj,1:jpka,jptime), &
-         &      v_abl  (1:jpi,1:jpj,1:jpka,jptime), &
-         &      tq_abl (1:jpi,1:jpj,1:jpka,jptime,jptq), &
-         &      avm_abl(1:jpi,1:jpj,1:jpka), &
-         &      avt_abl(1:jpi,1:jpj,1:jpka), &
-         &      mxl_abl(1:jpi,1:jpj,1:jpka), &         
-         &      tke_abl(1:jpi,1:jpj,1:jpka,jptime), &
-         &      fft_abl(1:jpi,1:jpj), &
-         &      pblh   (1:jpi,1:jpj), &         
-         &      msk_abl(1:jpi,1:jpj), &
-         &      rest_eq(1:jpi,1:jpj), &         
-         &      e3t_abl(1:jpka), e3w_abl(1:jpka), ght_abl(1:jpka), ghw_abl(1:jpka),                 STAT=ierr )
+      ALLOCATE( u_abl   (1:jpi,1:jpj,1:jpka,jptime     ), &
+         &      v_abl   (1:jpi,1:jpj,1:jpka,jptime     ), &
+         &      tq_abl  (1:jpi,1:jpj,1:jpka,jptime,jptq), &
+         &      tke_abl (1:jpi,1:jpj,1:jpka,jptime     ), &
+         &      avm_abl (1:jpi,1:jpj,1:jpka            ), &
+         &      avt_abl (1:jpi,1:jpj,1:jpka            ), &
+         &      mxld_abl(1:jpi,1:jpj,1:jpka            ), &
+         &      mxlm_abl(1:jpi,1:jpj,1:jpka            ), &
+         &      fft_abl (1:jpi,1:jpj                   ), &
+         &      pblh    (1:jpi,1:jpj                   ), &
+         &      msk_abl (1:jpi,1:jpj                   ), &
+         &      rest_eq (1:jpi,1:jpj                   ), &
+         &      e3t_abl (1:jpka), e3w_abl(1:jpka)       , &
+         &      ght_abl (1:jpka), ghw_abl(1:jpka)       , STAT=ierr )
          !
       abl_alloc = ierr
